Bug 145722

Summary: The tiny set magic in StructureSet should be available in WTF
Product: WebKit Reporter: Filip Pizlo <fpizlo>
Component: Web Template FrameworkAssignee: Filip Pizlo <fpizlo>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, basile_clement, benjamin, commit-queue, ggaren, mark.lam, mhahnenb, mmirman, msaboff, nrotem, oliver, saam, sam
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 145741    
Attachments:
Description Flags
it begins
none
the patch
ggaren: review+
patch for landing
none
patch for landing none

Description Filip Pizlo 2015-06-06 00:14:17 PDT
Patch forthcoming.
Comment 1 Filip Pizlo 2015-06-06 00:15:19 PDT
Created attachment 254408 [details]
it begins
Comment 2 Filip Pizlo 2015-06-07 19:09:28 PDT
Created attachment 254465 [details]
the patch
Comment 3 WebKit Commit Bot 2015-06-07 19:12:11 PDT
Attachment 254465 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/dfg/DFGStructureAbstractValue.cpp:283:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:38:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:70:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:80:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 4 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Filip Pizlo 2015-06-07 19:36:18 PDT
Looks neutral, as intended:

Benchmark report for SunSpider, LongSpider, V8Spider, Octane, Kraken, JSRegress, AsmBench, and CompressionBench on dethklok (MacBookPro9,1).

VMs tested:
"TipOfTree" at /Volumes/Data/pizlo/tertiary/OpenSource/WebKitBuild/Release/jsc (r185303)
"TinyPtrSet" at /Volumes/Data/pizlo/secondary/OpenSource/WebKitBuild/Release/jsc (r185303)

Collected 6 samples per benchmark/VM, with 6 VM invocations per benchmark. Emitted a call to gc() between sample measurements.
Used 1 benchmark iteration per VM invocation for warm-up. Used the jsc-specific preciseTime() function to get microsecond-level
timing. Reporting benchmark execution times with 95% confidence intervals in milliseconds.

                                                        TipOfTree                 TinyPtrSet                                    
SunSpider:
   3d-cube                                            5.3191+-0.2489            5.1807+-0.0387          might be 1.0267x faster
   3d-morph                                           5.7531+-0.0553     ?      5.8585+-0.2041        ? might be 1.0183x slower
   3d-raytrace                                        6.4535+-0.0967            6.3954+-0.0670        
   access-binary-trees                                2.4714+-0.2300            2.3067+-0.0551          might be 1.0714x faster
   access-fannkuch                                    6.4837+-0.4908            6.2308+-0.1027          might be 1.0406x faster
   access-nbody                                       3.0047+-0.1380     ?      3.0423+-0.3053        ? might be 1.0125x slower
   access-nsieve                                      3.6183+-0.3972            3.6182+-0.2538        
   bitops-3bit-bits-in-byte                           1.5933+-0.0306     ?      1.7817+-0.2797        ? might be 1.1182x slower
   bitops-bits-in-byte                                3.9139+-0.2418            3.8151+-0.2444          might be 1.0259x faster
   bitops-bitwise-and                                 2.2111+-0.0977            2.1358+-0.0350          might be 1.0353x faster
   bitops-nsieve-bits                                 3.2478+-0.0371     ?      3.3864+-0.2568        ? might be 1.0427x slower
   controlflow-recursive                              3.1949+-0.1993            3.1033+-0.2352          might be 1.0295x faster
   crypto-aes                                         5.0572+-0.2922            4.6593+-0.1602          might be 1.0854x faster
   crypto-md5                                         2.7676+-0.1198     ?      2.7832+-0.1347        ?
   crypto-sha1                                        3.7579+-0.2015     ?      3.9406+-0.4974        ? might be 1.0486x slower
   date-format-tofte                                  9.1592+-0.0451     !      9.3966+-0.1745        ! definitely 1.0259x slower
   date-format-xparb                                  6.0927+-0.5300            6.0801+-0.5972        
   math-cordic                                        3.2531+-0.2424     ?      3.4195+-0.4473        ? might be 1.0511x slower
   math-partial-sums                                  5.7742+-0.7570            5.2780+-0.0747          might be 1.0940x faster
   math-spectral-norm                                 2.0674+-0.0787     ?      2.2081+-0.3136        ? might be 1.0681x slower
   regexp-dna                                         8.2462+-1.1123            8.0403+-1.2977          might be 1.0256x faster
   string-base64                                      5.0524+-0.1948     ?      5.5262+-0.8539        ? might be 1.0938x slower
   string-fasta                                       6.8415+-0.1501     ?      6.8796+-0.2935        ?
   string-tagcloud                                    9.9096+-0.6306     ?     10.0142+-0.8384        ? might be 1.0106x slower
   string-unpack-code                                20.8892+-1.0617           20.2604+-0.8390          might be 1.0310x faster
   string-validate-input                              6.3465+-0.2852            6.0027+-0.0876          might be 1.0573x faster

   <arithmetic>                                       5.4800+-0.0460            5.4363+-0.0805          might be 1.0080x faster

                                                        TipOfTree                 TinyPtrSet                                    
LongSpider:
   3d-cube                                          897.6033+-4.6188     ?    898.5425+-5.6279        ?
   3d-morph                                        1535.0707+-9.8443         1534.9906+-20.7606       
   3d-raytrace                                      721.4172+-37.5729         707.0935+-11.3032         might be 1.0203x faster
   access-binary-trees                             1002.3269+-3.9306     ?   1003.3008+-10.3461       ?
   access-fannkuch                                  342.9111+-10.2627    ?    345.8151+-6.6754        ?
   access-nbody                                     589.8055+-3.1836          588.9665+-1.9847        
   access-nsieve                                    486.6346+-19.9478         476.3147+-6.0936          might be 1.0217x faster
   bitops-3bit-bits-in-byte                          44.6828+-1.6882     ?     45.4281+-1.9404        ? might be 1.0167x slower
   bitops-bits-in-byte                               99.1736+-1.2021     ?    102.0531+-3.5380        ? might be 1.0290x slower
   bitops-nsieve-bits                               422.0681+-3.6908          420.8995+-1.8573        
   controlflow-recursive                            493.4644+-11.8931         490.6305+-11.6212       
   crypto-aes                                       711.4067+-9.3948          708.4561+-12.1591       
   crypto-md5                                       561.1379+-88.9807         532.5444+-4.4074          might be 1.0537x faster
   crypto-sha1                                      678.4827+-9.4750     ?    689.0468+-14.9212       ? might be 1.0156x slower
   date-format-tofte                                761.4532+-75.3425         731.2587+-17.9038         might be 1.0413x faster
   date-format-xparb                                790.8295+-20.4362    ?    809.0667+-20.0988       ? might be 1.0231x slower
   hash-map                                         181.7381+-3.8521          181.7036+-4.5264        
   math-cordic                                      577.9332+-3.4967          576.4648+-2.2299        
   math-partial-sums                                507.5356+-0.5263          507.3247+-1.8338        
   math-spectral-norm                               565.7697+-4.7436          565.0618+-1.7838        
   string-base64                                    412.1976+-8.9669     ?    412.3352+-7.6437        ?
   string-fasta                                     436.1008+-7.5805          434.4879+-24.6807       
   string-tagcloud                                  201.4974+-16.4675         193.1369+-3.1622          might be 1.0433x faster

   <geometric>                                      458.0086+-3.7148          456.1868+-1.6056          might be 1.0040x faster

                                                        TipOfTree                 TinyPtrSet                                    
V8Spider:
   crypto                                            58.6490+-2.7355           56.8694+-3.4422          might be 1.0313x faster
   deltablue                                        100.6298+-1.8247     ?    104.2377+-7.7390        ? might be 1.0359x slower
   earley-boyer                                      49.0927+-2.0186           48.4252+-3.4303          might be 1.0138x faster
   raytrace                                          41.5741+-2.8319     ?     42.6473+-1.0084        ? might be 1.0258x slower
   regexp                                            82.8983+-2.6392     ?     83.7420+-6.2923        ? might be 1.0102x slower
   richards                                          80.8396+-3.7283           80.3046+-2.6683        
   splay                                             39.6726+-2.4491     ?     39.7226+-1.9454        ?

   <geometric>                                       61.1138+-0.4855     ?     61.2756+-0.8210        ? might be 1.0026x slower

                                                        TipOfTree                 TinyPtrSet                                    
Octane:
   encrypt                                           0.20401+-0.00103    ?     0.21300+-0.02414       ? might be 1.0441x slower
   decrypt                                           3.55825+-0.01749    ?     3.63535+-0.21309       ? might be 1.0217x slower
   deltablue                                x2       0.19612+-0.00167          0.19436+-0.00080       
   earley                                            0.39502+-0.00470          0.39494+-0.00620       
   boyer                                             5.18932+-0.02660    ?     5.22596+-0.13514       ?
   navier-stokes                            x2       5.25197+-0.19933          5.17892+-0.00832         might be 1.0141x faster
   raytrace                                 x2       1.33023+-0.03456          1.31382+-0.07377         might be 1.0125x faster
   richards                                 x2       0.13022+-0.00813    ?     0.13446+-0.01523       ? might be 1.0325x slower
   splay                                    x2       0.40486+-0.00411          0.40443+-0.00505       
   regexp                                   x2      31.67850+-0.23934         31.53409+-0.09758       
   pdfjs                                    x2      42.53771+-0.25719    ?    43.05854+-0.82041       ? might be 1.0122x slower
   mandreel                                 x2      51.05867+-0.46072         50.96631+-0.42307       
   gbemu                                    x2      43.63317+-2.53613    ?    46.26553+-5.97543       ? might be 1.0603x slower
   closure                                           0.57908+-0.03613          0.56295+-0.00240         might be 1.0287x faster
   jquery                                            7.36744+-0.08844          7.34169+-0.03671       
   box2d                                    x2      11.87338+-0.04680         11.85751+-0.03018       
   zlib                                     x2     392.05039+-15.56576   ?   397.61131+-2.11661       ? might be 1.0142x slower
   typescript                               x2     810.54313+-15.59345   ?   836.09941+-29.29402      ? might be 1.0315x slower

   <geometric>                                       6.61929+-0.05083    ?     6.66961+-0.05981       ? might be 1.0076x slower

                                                        TipOfTree                 TinyPtrSet                                    
Kraken:
   ai-astar                                          235.888+-3.540      ?     247.539+-32.607        ? might be 1.0494x slower
   audio-beat-detection                               81.858+-0.225      ?      82.601+-0.951         ?
   audio-dft                                         119.628+-1.893      ?     119.987+-1.947         ?
   audio-fft                                          71.026+-1.583             70.200+-1.503           might be 1.0118x faster
   audio-oscillator                                   76.928+-1.012      ?      77.881+-1.579         ? might be 1.0124x slower
   imaging-darkroom                                  105.436+-1.638      ?     105.475+-2.159         ?
   imaging-desaturate                                 62.989+-0.357      ?      64.274+-1.654         ? might be 1.0204x slower
   imaging-gaussian-blur                             110.023+-1.621      ?     112.078+-4.510         ? might be 1.0187x slower
   json-parse-financial                               49.344+-1.949             47.134+-1.461           might be 1.0469x faster
   json-stringify-tinderbox                           28.935+-1.359      ?      30.384+-2.483         ? might be 1.0501x slower
   stanford-crypto-aes                                58.611+-0.844             58.083+-0.502         
   stanford-crypto-ccm                                49.392+-2.076             48.435+-0.842           might be 1.0198x faster
   stanford-crypto-pbkdf2                            112.250+-3.430      ?     113.819+-2.662         ? might be 1.0140x slower
   stanford-crypto-sha256-iterative                   44.928+-2.182             44.631+-2.280         

   <arithmetic>                                       86.231+-0.524      ?      87.323+-2.053         ? might be 1.0127x slower

                                                        TipOfTree                 TinyPtrSet                                    
JSRegress:
   abs-boolean                                        2.8479+-0.3229            2.7295+-0.0648          might be 1.0434x faster
   adapt-to-double-divide                            16.9288+-0.4492     ?     17.2027+-1.0180        ? might be 1.0162x slower
   aliased-arguments-getbyval                         1.3481+-0.0999            1.3177+-0.0581          might be 1.0231x faster
   allocate-big-object                                2.9408+-0.1368            2.8883+-0.0887          might be 1.0182x faster
   arguments-named-and-reflective                    12.5912+-0.6703           12.5565+-0.5749        
   arguments-out-of-bounds                           14.3549+-0.1871     ?     14.5664+-0.2020        ? might be 1.0147x slower
   arguments-strict-mode                             10.9449+-0.1538     ?     11.1137+-0.8848        ? might be 1.0154x slower
   arguments                                          9.6493+-0.2088     ?      9.6736+-0.3443        ?
   arity-mismatch-inlining                            0.9128+-0.0819            0.8930+-0.0351          might be 1.0221x faster
   array-access-polymorphic-structure                 7.3872+-0.9438            7.0837+-0.4348          might be 1.0428x faster
   array-nonarray-polymorhpic-access                 34.1239+-2.3336           32.7094+-1.0541          might be 1.0432x faster
   array-prototype-every                             85.0269+-1.8664           84.6779+-1.2234        
   array-prototype-forEach                           85.1055+-1.4026           82.5742+-2.9177          might be 1.0307x faster
   array-prototype-map                               93.4482+-1.1376           91.3472+-4.7270          might be 1.0230x faster
   array-prototype-reduce                            80.2813+-2.3594     ?     81.0398+-0.9093        ?
   array-prototype-reduceRight                       84.8042+-4.5062           81.4537+-2.4011          might be 1.0411x faster
   array-prototype-some                              87.2232+-3.0551           84.7371+-1.4053          might be 1.0293x faster
   array-splice-contiguous                           45.4596+-2.3609           42.2424+-1.6710          might be 1.0762x faster
   array-with-double-add                              4.4533+-0.5335            4.3342+-0.2828          might be 1.0275x faster
   array-with-double-increment                        3.6783+-0.5338            3.3406+-0.0509          might be 1.1011x faster
   array-with-double-mul-add                          5.2737+-0.2211     ?      5.2909+-0.1541        ?
   array-with-double-sum                              3.5675+-0.2584            3.3500+-0.0273          might be 1.0649x faster
   array-with-int32-add-sub                           6.9126+-0.2438            6.7867+-0.0414          might be 1.0186x faster
   array-with-int32-or-double-sum                     3.4726+-0.1841     ?      3.5111+-0.2712        ? might be 1.0111x slower
   ArrayBuffer-DataView-alloc-large-long-lived   
                                                     38.0944+-1.7210           38.0469+-2.1643        
   ArrayBuffer-DataView-alloc-long-lived             16.3567+-1.9870           15.2793+-1.8682          might be 1.0705x faster
   ArrayBuffer-Int32Array-byteOffset                  3.8754+-0.1036     ?      4.1532+-0.4622        ? might be 1.0717x slower
   ArrayBuffer-Int8Array-alloc-large-long-lived   
                                                     38.4623+-1.5513           37.9769+-1.0172          might be 1.0128x faster
   ArrayBuffer-Int8Array-alloc-long-lived-buffer   
                                                     22.9194+-1.4559           22.7958+-1.4188        
   ArrayBuffer-Int8Array-alloc-long-lived            14.9330+-1.8262           14.5368+-1.4664          might be 1.0273x faster
   ArrayBuffer-Int8Array-alloc                       10.6904+-0.3668     ?     11.4328+-1.7477        ? might be 1.0694x slower
   asmjs_bool_bug                                     7.9541+-0.1476            7.9155+-0.3951        
   assign-custom-setter-polymorphic                   3.4884+-0.4495            3.3230+-0.1433          might be 1.0498x faster
   assign-custom-setter                               4.8338+-0.2617            4.6167+-0.3015          might be 1.0470x faster
   basic-set                                          9.5315+-0.2035     ?     10.2050+-1.6125        ? might be 1.0707x slower
   big-int-mul                                        4.3151+-0.1561            4.2420+-0.2606          might be 1.0172x faster
   boolean-test                                       3.1595+-0.0349     ?      3.2506+-0.1204        ? might be 1.0288x slower
   branch-fold                                        4.3285+-0.4496            4.1829+-0.1922          might be 1.0348x faster
   branch-on-string-as-boolean                       21.0270+-1.2507           20.5987+-0.7989          might be 1.0208x faster
   by-val-generic                                     8.2805+-0.4256            8.2239+-0.4943        
   call-spread-apply                                 33.2735+-4.5136           30.7585+-1.1480          might be 1.0818x faster
   call-spread-call                                  25.5127+-1.0686     ?     25.7055+-1.0160        ?
   captured-assignments                               0.5511+-0.0698     ?      0.5728+-0.0803        ? might be 1.0392x slower
   cast-int-to-double                                 5.4638+-0.2079     ?      5.5561+-0.5734        ? might be 1.0169x slower
   cell-argument                                      8.7309+-0.3151            8.6687+-0.2353        
   cfg-simplify                                       2.9799+-0.3444            2.8475+-0.0368          might be 1.0465x faster
   chain-getter-access                                9.4361+-0.2918            9.3311+-0.1740          might be 1.0113x faster
   cmpeq-obj-to-obj-other                            12.9614+-0.5658           12.0200+-0.6360          might be 1.0783x faster
   constant-test                                      5.0491+-0.1406            5.0400+-0.0859        
   create-lots-of-functions                          11.6174+-0.1931           11.5975+-0.3802        
   cse-new-array-buffer                               2.6897+-0.3127            2.5348+-0.0469          might be 1.0611x faster
   cse-new-array                                      2.6627+-0.0353     ?      2.6930+-0.1012        ? might be 1.0114x slower
   DataView-custom-properties                        42.9024+-1.7984     ?     44.0199+-2.8098        ? might be 1.0260x slower
   deconstructing-parameters-overridden-by-function   
                                                      0.6209+-0.0721            0.6108+-0.1061          might be 1.0165x faster
   delay-tear-off-arguments-strictmode               14.6351+-1.1036           14.5749+-0.4396        
   deltablue-varargs                                211.0703+-5.5548          209.6666+-1.2414        
   destructuring-arguments                           17.2899+-0.3485     ?     17.4878+-1.1239        ? might be 1.0114x slower
   destructuring-swap                                 5.0957+-0.0277     ?      5.1345+-0.1010        ?
   direct-arguments-getbyval                          1.2987+-0.0377     ?      1.3923+-0.1472        ? might be 1.0721x slower
   div-boolean-double                                 5.2904+-0.0414     ?      5.3179+-0.1205        ?
   div-boolean                                        7.9836+-0.2253            7.9382+-0.1421        
   double-get-by-val-out-of-bounds                    4.6099+-0.0341     ?      4.6192+-0.1374        ?
   double-pollution-getbyval                          9.0774+-0.3202            8.9442+-0.1515          might be 1.0149x faster
   double-pollution-putbyoffset                       4.4840+-0.1219            4.4017+-0.0912          might be 1.0187x faster
   double-real-use                                   29.8947+-0.7180     ?     30.6107+-1.5471        ? might be 1.0239x slower
   double-to-int32-typed-array-no-inline              2.7193+-0.4333            2.7021+-0.1514        
   double-to-int32-typed-array                        2.0071+-0.0513     ?      2.0117+-0.0449        ?
   double-to-uint32-typed-array-no-inline             2.5763+-0.2522     ?      2.7533+-0.3538        ? might be 1.0687x slower
   double-to-uint32-typed-array                       2.2567+-0.2945            2.2089+-0.3098          might be 1.0217x faster
   elidable-new-object-dag                           43.6978+-1.5753           43.2466+-1.1404          might be 1.0104x faster
   elidable-new-object-roflcopter                    43.6501+-0.9659     ?     45.3653+-1.5382        ? might be 1.0393x slower
   elidable-new-object-then-call                     40.3194+-1.2303           40.2325+-1.1905        
   elidable-new-object-tree                          46.1779+-2.3065           46.0375+-1.6464        
   empty-string-plus-int                              5.5767+-0.1141     ?      5.5959+-0.0638        ?
   emscripten-cube2hash                              39.9722+-1.1653           39.3777+-1.0785          might be 1.0151x faster
   exit-length-on-plain-object                       15.1213+-1.5303     ?     16.0574+-1.8892        ? might be 1.0619x slower
   external-arguments-getbyval                        1.4633+-0.2321            1.3188+-0.1472          might be 1.1095x faster
   external-arguments-putbyval                        2.4535+-0.1212            2.4174+-0.0444          might be 1.0149x faster
   fixed-typed-array-storage-var-index                1.2397+-0.0505     ?      1.3925+-0.1449        ? might be 1.1232x slower
   fixed-typed-array-storage                          0.9147+-0.0465     ?      0.9562+-0.1051        ? might be 1.0454x slower
   Float32Array-matrix-mult                           4.7806+-0.4907            4.6502+-0.2914          might be 1.0280x faster
   Float32Array-to-Float64Array-set                  51.8236+-0.5188     !     58.1235+-2.2722        ! definitely 1.1216x slower
   Float64Array-alloc-long-lived                     87.8609+-1.5978     ?     88.5601+-2.6589        ?
   Float64Array-to-Int16Array-set                    69.4520+-2.1629     ?     71.3817+-0.9080        ? might be 1.0278x slower
   fold-double-to-int                                14.0315+-0.6646     ?     14.1147+-0.9869        ?
   fold-get-by-id-to-multi-get-by-offset-rare-int   
                                                     10.0230+-1.1117     ?     12.5087+-4.6310        ? might be 1.2480x slower
   fold-get-by-id-to-multi-get-by-offset             10.5392+-1.6867           10.0089+-0.9799          might be 1.0530x faster
   fold-multi-get-by-offset-to-get-by-offset   
                                                      9.3839+-0.8552     ?      9.4904+-0.7340        ? might be 1.0114x slower
   fold-multi-get-by-offset-to-poly-get-by-offset   
                                                      9.2277+-0.7338            9.1820+-0.6145        
   fold-multi-put-by-offset-to-poly-put-by-offset   
                                                      9.8270+-0.9703     ?     10.1058+-1.1211        ? might be 1.0284x slower
   fold-multi-put-by-offset-to-put-by-offset   
                                                      7.8099+-0.3987     ?      8.5083+-0.8635        ? might be 1.0894x slower
   fold-multi-put-by-offset-to-replace-or-transition-put-by-offset   
                                                     10.1386+-0.4455     ?     10.3800+-1.1890        ? might be 1.0238x slower
   fold-put-by-id-to-multi-put-by-offset             10.3738+-0.5439     ?     11.0265+-1.3536        ? might be 1.0629x slower
   fold-put-structure                                 6.5744+-1.9523     ?      7.6774+-0.4208        ? might be 1.1678x slower
   for-of-iterate-array-entries                       4.7887+-0.5425     ?      4.8005+-0.3108        ?
   for-of-iterate-array-keys                          3.7852+-0.1762            3.7078+-0.1562          might be 1.0209x faster
   for-of-iterate-array-values                        3.6299+-0.0820            3.6248+-0.2191        
   fround                                            20.9811+-0.7285     ?     21.2666+-0.8141        ? might be 1.0136x slower
   ftl-library-inlining-dataview                     67.9492+-4.6675           65.8173+-0.6496          might be 1.0324x faster
   ftl-library-inlining                              66.9235+-0.5707     ?     74.7697+-18.6100       ? might be 1.1172x slower
   function-dot-apply                                 2.2974+-0.0636     ?      2.3658+-0.1599        ? might be 1.0298x slower
   function-test                                      3.1968+-0.4024            2.9865+-0.1993          might be 1.0704x faster
   function-with-eval                               103.2755+-2.2412          102.2538+-3.8499        
   gcse-poly-get-less-obvious                        18.1734+-0.4225     ?     18.5114+-0.7657        ? might be 1.0186x slower
   gcse-poly-get                                     21.8266+-2.9215           21.4795+-1.7698          might be 1.0162x faster
   gcse                                               4.6036+-0.5494            4.4480+-0.1301          might be 1.0350x faster
   get-by-id-bimorphic-check-structure-elimination-simple   
                                                      2.7999+-0.0833            2.7770+-0.0472        
   get-by-id-bimorphic-check-structure-elimination   
                                                      6.0968+-0.1338     ?      6.1543+-0.2213        ?
   get-by-id-chain-from-try-block                     7.0790+-1.1748     ?      7.2447+-0.9936        ? might be 1.0234x slower
   get-by-id-check-structure-elimination              5.3716+-0.5794            5.3625+-0.4855        
   get-by-id-proto-or-self                           18.6276+-0.8091           18.4346+-1.0502          might be 1.0105x faster
   get-by-id-quadmorphic-check-structure-elimination-simple   
                                                      3.0585+-0.1090     ?      3.0734+-0.1989        ?
   get-by-id-self-or-proto                           19.4237+-2.5961           18.9027+-1.9265          might be 1.0276x faster
   get-by-val-out-of-bounds                           4.4994+-0.0785     ?      4.5629+-0.2039        ? might be 1.0141x slower
   get_callee_monomorphic                             3.3573+-0.7394            2.9379+-0.2737          might be 1.1427x faster
   get_callee_polymorphic                             3.9492+-0.2547     ?      4.0084+-0.3783        ? might be 1.0150x slower
   getter-no-activation                               5.1785+-0.3681            5.1122+-0.3797          might be 1.0130x faster
   getter-prototype                                  15.0407+-0.1938     ?     15.1294+-1.0844        ?
   getter-richards                                  127.6915+-3.3813          124.6259+-6.9628          might be 1.0246x faster
   getter                                             6.3164+-0.8393            5.7130+-0.4998          might be 1.1056x faster
   global-var-const-infer-fire-from-opt               0.9720+-0.0898     ?      1.0295+-0.1144        ? might be 1.0592x slower
   global-var-const-infer                             0.9024+-0.1065     ?      0.9817+-0.2145        ? might be 1.0879x slower
   HashMap-put-get-iterate-keys                      31.1036+-1.0953     ?     32.1727+-4.6163        ? might be 1.0344x slower
   HashMap-put-get-iterate                           34.0883+-2.2028           32.6543+-1.9931          might be 1.0439x faster
   HashMap-string-put-get-iterate                    32.0160+-0.6921           31.6593+-1.9511          might be 1.0113x faster
   hoist-make-rope                                   12.1187+-1.0933     ?     12.4460+-0.8654        ? might be 1.0270x slower
   hoist-poly-check-structure-effectful-loop   
                                                      5.0983+-0.0394     ?      5.1904+-0.1289        ? might be 1.0181x slower
   hoist-poly-check-structure                         3.7706+-0.0726     ?      3.7730+-0.0850        ?
   imul-double-only                                   8.5296+-0.6759     ?      9.3268+-2.1158        ? might be 1.0935x slower
   imul-int-only                                     10.7864+-1.4276           10.0552+-0.1893          might be 1.0727x faster
   imul-mixed                                         8.5047+-0.4569            8.3876+-0.1704          might be 1.0140x faster
   in-four-cases                                     22.1456+-0.2798     ?     22.3564+-0.2162        ?
   in-one-case-false                                 11.1701+-0.2335     ?     11.2282+-0.1624        ?
   in-one-case-true                                  11.0377+-0.0464     ?     11.2014+-0.4335        ? might be 1.0148x slower
   in-two-cases                                      12.0249+-0.9413           11.8019+-0.2699          might be 1.0189x faster
   indexed-properties-in-objects                      2.9872+-0.0386     ?      3.0658+-0.1178        ? might be 1.0263x slower
   infer-closure-const-then-mov-no-inline             4.3163+-0.4779     ?      4.6901+-0.5723        ? might be 1.0866x slower
   infer-closure-const-then-mov                      20.1397+-0.4548           19.8938+-0.3262          might be 1.0124x faster
   infer-closure-const-then-put-to-scope-no-inline   
                                                     12.8813+-0.1920           12.7915+-0.2131        
   infer-closure-const-then-put-to-scope             22.0605+-0.8060     ?     22.0624+-0.9962        ?
   infer-closure-const-then-reenter-no-inline   
                                                     55.4795+-1.5557           54.3602+-0.4273          might be 1.0206x faster
   infer-closure-const-then-reenter                  22.2348+-0.6766     ?     23.1622+-2.2565        ? might be 1.0417x slower
   infer-constant-global-property                     3.7861+-0.3853            3.5536+-0.0483          might be 1.0654x faster
   infer-constant-property                            2.7598+-0.0207     ?      2.8130+-0.1299        ? might be 1.0193x slower
   infer-one-time-closure-ten-vars                   12.8559+-0.5446     ?     13.3357+-1.5744        ? might be 1.0373x slower
   infer-one-time-closure-two-vars                   12.8951+-1.6486           12.4902+-0.4917          might be 1.0324x faster
   infer-one-time-closure                            12.7609+-1.4112           12.2935+-0.6356          might be 1.0380x faster
   infer-one-time-deep-closure                       22.8702+-2.0732           21.9856+-1.3460          might be 1.0402x faster
   inline-arguments-access                            4.7402+-0.1915     ?      4.7900+-0.2857        ? might be 1.0105x slower
   inline-arguments-aliased-access                    4.7981+-0.2518            4.6713+-0.0675          might be 1.0271x faster
   inline-arguments-local-escape                      4.9210+-0.5154            4.7867+-0.1526          might be 1.0281x faster
   inline-get-scoped-var                              4.7880+-0.0357     ?      4.8816+-0.1579        ? might be 1.0195x slower
   inlined-put-by-id-transition                      11.8046+-0.1722     ?     11.8966+-0.2272        ?
   int-or-other-abs-then-get-by-val                   5.0622+-0.1724            4.9875+-0.0484          might be 1.0150x faster
   int-or-other-abs-zero-then-get-by-val             18.1048+-1.4270           17.9934+-0.9790        
   int-or-other-add-then-get-by-val                   4.4174+-0.0991            4.3489+-0.0289          might be 1.0158x faster
   int-or-other-add                                   5.4565+-0.1712            5.4531+-0.2196        
   int-or-other-div-then-get-by-val                   4.2794+-0.0263     ?      4.3871+-0.1830        ? might be 1.0252x slower
   int-or-other-max-then-get-by-val                   4.4460+-0.1628     ?      4.5142+-0.2041        ? might be 1.0154x slower
   int-or-other-min-then-get-by-val                   4.3719+-0.0473     ?      4.4609+-0.2493        ? might be 1.0204x slower
   int-or-other-mod-then-get-by-val                   3.9611+-0.0383            3.9563+-0.0261        
   int-or-other-mul-then-get-by-val                   3.9409+-0.0177     ?      4.0503+-0.1623        ? might be 1.0278x slower
   int-or-other-neg-then-get-by-val                   4.9025+-0.2559            4.8805+-0.0745        
   int-or-other-neg-zero-then-get-by-val             18.6997+-2.8542           18.2103+-1.6463          might be 1.0269x faster
   int-or-other-sub-then-get-by-val                   4.5969+-0.3538            4.4065+-0.0418          might be 1.0432x faster
   int-or-other-sub                                   3.7558+-0.1721     ?      3.9353+-0.4545        ? might be 1.0478x slower
   int-overflow-local                                 4.8270+-0.3399            4.6151+-0.0492          might be 1.0459x faster
   Int16Array-alloc-long-lived                       52.9849+-1.4205           52.3640+-0.8191          might be 1.0119x faster
   Int16Array-bubble-sort-with-byteLength            20.3641+-0.6069           20.0706+-0.3212          might be 1.0146x faster
   Int16Array-bubble-sort                            20.3995+-0.2368     ?     20.4997+-0.3495        ?
   Int16Array-load-int-mul                            1.7380+-0.2312            1.5424+-0.0167          might be 1.1268x faster
   Int16Array-to-Int32Array-set                      54.0756+-2.3864     ?     58.0498+-2.0023        ? might be 1.0735x slower
   Int32Array-alloc-large                            24.4413+-1.2589           23.9777+-1.1138          might be 1.0193x faster
   Int32Array-alloc-long-lived                       64.0084+-1.4728     ?     64.2548+-0.5238        ?
   Int32Array-alloc                                   3.6075+-0.5548     ?      3.6461+-0.5970        ? might be 1.0107x slower
   Int32Array-Int8Array-view-alloc                    7.0553+-0.6406            6.7932+-0.4275          might be 1.0386x faster
   int52-spill                                        5.8850+-0.2109            5.7084+-0.1211          might be 1.0309x faster
   Int8Array-alloc-long-lived                        48.8361+-1.5598           48.7661+-0.6169        
   Int8Array-load-with-byteLength                     3.6073+-0.4277            3.4529+-0.0845          might be 1.0447x faster
   Int8Array-load                                     3.5657+-0.2966     ?      3.6707+-0.4808        ? might be 1.0294x slower
   integer-divide                                    10.9965+-0.1224     ?     11.0092+-0.1974        ?
   integer-modulo                                     2.2345+-0.2805            2.1040+-0.0568          might be 1.0620x faster
   is-boolean-fold-tricky                             4.5772+-0.3006     ?      4.6104+-0.2422        ?
   is-boolean-fold                                    3.0296+-0.3475            3.0216+-0.1628        
   is-function-fold-tricky-internal-function   
                                                     11.9956+-0.2038     ?     12.4359+-0.3380        ? might be 1.0367x slower
   is-function-fold-tricky                            4.7743+-0.3173            4.7472+-0.3535        
   is-function-fold                                   3.0537+-0.3409            2.9462+-0.0600          might be 1.0365x faster
   is-number-fold-tricky                              4.4902+-0.0520     ?      4.5503+-0.2406        ? might be 1.0134x slower
   is-number-fold                                     3.0606+-0.2107            2.8929+-0.0330          might be 1.0579x faster
   is-object-or-null-fold-functions                   2.9908+-0.0643     ?      3.1110+-0.3408        ? might be 1.0402x slower
   is-object-or-null-fold-less-tricky                 5.1239+-1.1333            4.7003+-0.2217          might be 1.0901x faster
   is-object-or-null-fold-tricky                      6.7899+-0.1472     ?      6.8633+-0.3750        ? might be 1.0108x slower
   is-object-or-null-fold                             2.9856+-0.1051            2.9275+-0.0264          might be 1.0198x faster
   is-object-or-null-trickier-function                4.7738+-0.3539     ?      4.7747+-0.2797        ?
   is-object-or-null-trickier-internal-function   
                                                     12.6493+-0.0684     ?     12.7041+-0.0425        ?
   is-object-or-null-tricky-function                  4.6325+-0.1224     ?      4.6616+-0.1769        ?
   is-object-or-null-tricky-internal-function   
                                                      9.4765+-0.5709            9.4469+-0.0611        
   is-string-fold-tricky                              4.6137+-0.1776     ?      4.8032+-0.2818        ? might be 1.0411x slower
   is-string-fold                                     2.9776+-0.2208     ?      3.0142+-0.1528        ? might be 1.0123x slower
   is-undefined-fold-tricky                           3.9694+-0.4164     ?      4.0247+-0.4721        ? might be 1.0139x slower
   is-undefined-fold                                  2.9598+-0.1661     ?      2.9831+-0.2051        ?
   large-int-captured                                 4.9348+-0.0586     ?      4.9685+-0.1779        ?
   large-int-neg                                     16.3123+-0.4001     ?     17.3861+-1.6283        ? might be 1.0658x slower
   large-int                                         15.4489+-0.8586           14.8415+-0.2946          might be 1.0409x faster
   load-varargs-elimination                          23.6385+-0.6988           23.0935+-0.5116          might be 1.0236x faster
   logical-not-weird-types                            3.7013+-1.0216            3.4592+-0.2949          might be 1.0700x faster
   logical-not                                        4.7249+-0.2425            4.5843+-0.0533          might be 1.0307x faster
   lots-of-fields                                    12.7232+-0.8116           12.4855+-0.2857          might be 1.0190x faster
   make-indexed-storage                               3.2551+-0.1216     ?      3.2557+-0.0824        ?
   make-rope-cse                                     12.7361+-1.4326           12.4097+-1.0568          might be 1.0263x faster
   marsaglia-larger-ints                             36.4670+-1.0180           36.4375+-0.9861        
   marsaglia-osr-entry                               24.0907+-1.8570           23.3748+-0.5899          might be 1.0306x faster
   math-with-out-of-bounds-array-values              25.5010+-0.5837           25.0625+-0.3894          might be 1.0175x faster
   max-boolean                                        2.5767+-0.0988     ?      2.7056+-0.1567        ? might be 1.0500x slower
   method-on-number                                  17.4583+-0.3009     ?     17.9112+-0.9346        ? might be 1.0259x slower
   min-boolean                                        2.8064+-0.3585            2.7844+-0.3169        
   minus-boolean-double                               3.2610+-0.0550            3.2444+-0.0499        
   minus-boolean                                      2.5658+-0.3073            2.4191+-0.0172          might be 1.0606x faster
   misc-strict-eq                                    40.4473+-2.1415           40.1650+-2.4193        
   mod-boolean-double                                11.0638+-0.1379           10.9041+-0.1567          might be 1.0147x faster
   mod-boolean                                        8.0004+-0.1588            7.9596+-0.1754        
   mul-boolean-double                                 3.8450+-0.1624            3.8420+-0.2087        
   mul-boolean                                        2.9723+-0.0749     ?      2.9797+-0.0773        ?
   neg-boolean                                        3.2695+-0.0470     ?      3.3318+-0.1649        ? might be 1.0191x slower
   negative-zero-divide                               0.4174+-0.0427            0.4116+-0.0607          might be 1.0141x faster
   negative-zero-modulo                               0.3986+-0.0355            0.3857+-0.0247          might be 1.0332x faster
   negative-zero-negate                               0.3720+-0.0191            0.3598+-0.0124          might be 1.0339x faster
   nested-function-parsing                           41.2523+-1.7412           39.9197+-1.3196          might be 1.0334x faster
   new-array-buffer-dead                            115.6723+-2.1272          114.5385+-1.4922        
   new-array-buffer-push                              7.3392+-1.0779            7.3257+-0.3789        
   new-array-dead                                    19.3797+-0.5025     ?     20.1678+-1.5696        ? might be 1.0407x slower
   new-array-push                                     6.4863+-0.2000     ?      6.6836+-0.3323        ? might be 1.0304x slower
   no-inline-constructor                             41.7320+-0.8107           41.6415+-1.2519        
   number-test                                        3.2141+-0.3070     ?      3.2150+-0.2724        ?
   object-closure-call                                5.7545+-0.1369            5.7270+-0.0317        
   object-test                                        2.8904+-0.0464            2.8881+-0.0435        
   obvious-sink-pathology-taken                     140.3702+-2.9728     ?    143.8995+-2.4614        ? might be 1.0251x slower
   obvious-sink-pathology                           133.2245+-3.0371          133.0769+-1.3188        
   obviously-elidable-new-object                     35.9141+-1.2592           34.8810+-0.5379          might be 1.0296x faster
   plus-boolean-arith                                 2.6033+-0.1095     ?      2.8470+-0.2865        ? might be 1.0936x slower
   plus-boolean-double                                3.4722+-0.3458            3.3672+-0.2372          might be 1.0312x faster
   plus-boolean                                       2.5670+-0.2140            2.4544+-0.0286          might be 1.0459x faster
   poly-chain-access-different-prototypes-simple   
                                                      3.3379+-0.0396     ?      3.7008+-0.8404        ? might be 1.1087x slower
   poly-chain-access-different-prototypes             2.7047+-0.3129            2.6700+-0.1656          might be 1.0130x faster
   poly-chain-access-simpler                          3.3394+-0.0571     ?      3.3752+-0.1712        ? might be 1.0107x slower
   poly-chain-access                                  2.6437+-0.0981            2.6078+-0.0276          might be 1.0138x faster
   poly-stricteq                                     60.8191+-2.0477     ?     61.9794+-2.5583        ? might be 1.0191x slower
   polymorphic-array-call                             1.5253+-0.1820            1.4576+-0.1122          might be 1.0465x faster
   polymorphic-get-by-id                              3.2069+-0.0419     ?      3.2308+-0.1119        ?
   polymorphic-put-by-id                             35.5503+-2.4587           32.0854+-1.2412          might be 1.1080x faster
   polymorphic-structure                             15.3671+-0.3991           15.3113+-1.5053        
   polyvariant-monomorphic-get-by-id                  9.0884+-0.5630            8.9532+-0.4822          might be 1.0151x faster
   proto-getter-access                                9.3042+-0.1729     ?      9.4566+-0.3159        ? might be 1.0164x slower
   put-by-id-replace-and-transition                   9.8323+-0.3201            9.6556+-0.2173          might be 1.0183x faster
   put-by-id-slightly-polymorphic                     2.8938+-0.0995     ?      2.9061+-0.1061        ?
   put-by-id                                         13.0365+-0.5142           12.8619+-0.5624          might be 1.0136x faster
   put-by-val-direct                                  0.4093+-0.0325     ?      0.4123+-0.0126        ?
   put-by-val-large-index-blank-indexing-type   
                                                     12.4361+-0.9710     ?     12.7490+-1.3617        ? might be 1.0252x slower
   put-by-val-machine-int                             2.9853+-0.2516            2.8753+-0.0801          might be 1.0383x faster
   rare-osr-exit-on-local                            15.2321+-0.3169     ?     15.6609+-1.0320        ? might be 1.0282x slower
   register-pressure-from-osr                        21.4696+-0.2886     ?     21.7397+-0.3232        ? might be 1.0126x slower
   repeat-multi-get-by-offset                        25.3495+-1.4178           24.7106+-0.4820          might be 1.0259x faster
   setter-prototype                                  10.6532+-0.2683     ?     10.6766+-0.3944        ?
   setter                                             5.5690+-0.1054     ?      6.2208+-0.9209        ? might be 1.1170x slower
   simple-activation-demo                            25.3441+-0.4863     ?     26.1314+-1.1835        ? might be 1.0311x slower
   simple-getter-access                              11.6911+-0.2199     ?     11.9335+-0.3541        ? might be 1.0207x slower
   simple-poly-call-nested                            7.9218+-0.2836     ?      8.5307+-0.6600        ? might be 1.0769x slower
   simple-poly-call                                   1.4770+-0.1800            1.3735+-0.0968          might be 1.0754x faster
   sin-boolean                                       22.7137+-0.9925     ?     23.7478+-2.0037        ? might be 1.0455x slower
   singleton-scope                                   62.6904+-0.5684     ?     64.5083+-3.2763        ? might be 1.0290x slower
   sink-function                                     12.1633+-0.1390     !     12.6837+-0.3603        ! definitely 1.0428x slower
   sink-huge-activation                              19.0327+-0.5206     ?     19.2293+-0.6322        ? might be 1.0103x slower
   sinkable-new-object-dag                           71.6020+-1.6095           70.6304+-1.5439          might be 1.0138x faster
   sinkable-new-object-taken                         52.6130+-2.7784           52.4972+-2.8857        
   sinkable-new-object                               39.4181+-1.2882           38.9067+-1.3055          might be 1.0131x faster
   slow-array-profile-convergence                     3.0290+-0.2013            2.9512+-0.1563          might be 1.0264x faster
   slow-convergence                                   2.9494+-0.2205            2.9088+-0.3048          might be 1.0140x faster
   slow-ternaries                                    19.6014+-2.4742     ?     22.3026+-1.5857        ? might be 1.1378x slower
   sorting-benchmark                                 18.8219+-0.8873     ?     18.8328+-0.4815        ?
   sparse-conditional                                 1.2193+-0.0549            1.1830+-0.0340          might be 1.0307x faster
   splice-to-remove                                  15.4615+-0.8164     ?     15.7972+-1.3820        ? might be 1.0217x slower
   string-char-code-at                               16.3339+-0.3841           16.2421+-0.2841        
   string-concat-object                               2.6727+-0.1151     ?      2.7445+-0.3147        ? might be 1.0269x slower
   string-concat-pair-object                          2.5900+-0.1182     ?      2.6722+-0.1382        ? might be 1.0318x slower
   string-concat-pair-simple                         12.4956+-1.1258           11.8678+-0.4164          might be 1.0529x faster
   string-concat-simple                              12.8571+-0.6548     ?     12.8901+-1.5226        ?
   string-cons-repeat                                 8.8676+-1.1929            8.6564+-0.8265          might be 1.0244x faster
   string-cons-tower                                  8.4738+-0.5043     ?      8.7577+-0.6238        ? might be 1.0335x slower
   string-equality                                   18.0010+-0.7842     ?     18.5206+-0.7459        ? might be 1.0289x slower
   string-get-by-val-big-char                         7.2613+-0.0899     ?      7.4558+-0.2843        ? might be 1.0268x slower
   string-get-by-val-out-of-bounds-insane             3.6541+-0.0358     ?      4.0948+-0.7242        ? might be 1.1206x slower
   string-get-by-val-out-of-bounds                    5.5048+-0.0284     ?      5.7115+-0.2444        ? might be 1.0375x slower
   string-get-by-val                                  3.3793+-0.0552     ?      3.4504+-0.0902        ? might be 1.0210x slower
   string-hash                                        2.1744+-0.0462     ?      2.2724+-0.4014        ? might be 1.0451x slower
   string-long-ident-equality                        16.5503+-4.8695           14.7026+-0.1606          might be 1.1257x faster
   string-out-of-bounds                              15.3559+-0.6588           14.8937+-0.3369          might be 1.0310x faster
   string-repeat-arith                               33.4270+-1.7242     !     36.9967+-1.6230        ! definitely 1.1068x slower
   string-sub                                        66.7242+-3.6755           65.8413+-4.1264          might be 1.0134x faster
   string-test                                        3.1992+-0.3032            3.0281+-0.0392          might be 1.0565x faster
   string-var-equality                               32.9170+-1.2822           32.1495+-0.3812          might be 1.0239x faster
   structure-hoist-over-transitions                   2.8124+-0.2555            2.7675+-0.1391          might be 1.0162x faster
   substring-concat-weird                            41.9745+-1.6355           40.7881+-0.8769          might be 1.0291x faster
   substring-concat                                  42.9856+-1.1849     ?     43.6468+-2.0968        ? might be 1.0154x slower
   substring                                         47.0066+-2.8101           46.2303+-1.6517          might be 1.0168x faster
   switch-char-constant                               3.0183+-0.3806     ?      3.1375+-0.5187        ? might be 1.0395x slower
   switch-char                                        7.1589+-1.1983            6.7773+-0.6331          might be 1.0563x faster
   switch-constant                                    8.5999+-0.2823            8.4880+-0.1189          might be 1.0132x faster
   switch-string-basic-big-var                       18.5255+-0.3129     ?     18.8117+-0.2950        ? might be 1.0155x slower
   switch-string-basic-big                           15.1660+-0.6018     ?     16.6142+-4.2040        ? might be 1.0955x slower
   switch-string-basic-var                           15.1960+-0.1612           15.1661+-0.1544        
   switch-string-basic                               13.5857+-0.1560     ?     13.7244+-0.3123        ? might be 1.0102x slower
   switch-string-big-length-tower-var                20.0801+-0.2567     ?     20.3727+-0.0981        ? might be 1.0146x slower
   switch-string-length-tower-var                    16.0488+-0.7769           15.6705+-0.2285          might be 1.0241x faster
   switch-string-length-tower                        13.2840+-0.1702     ?     13.7479+-1.6321        ? might be 1.0349x slower
   switch-string-short                               13.5298+-0.6102           13.2279+-0.3328          might be 1.0228x faster
   switch                                            12.7625+-0.2269     ?     12.8844+-0.2355        ?
   tear-off-arguments-simple                          3.5555+-0.1040     ?      3.5732+-0.0784        ?
   tear-off-arguments                                 4.9155+-0.1511     ?      5.1160+-0.4080        ? might be 1.0408x slower
   temporal-structure                                12.2638+-0.1187     ?     12.4526+-0.4767        ? might be 1.0154x slower
   to-int32-boolean                                  14.0331+-0.2138     ?     14.3897+-0.5277        ? might be 1.0254x slower
   try-catch-get-by-val-cloned-arguments             15.1026+-1.2512           14.5806+-0.2408          might be 1.0358x faster
   try-catch-get-by-val-direct-arguments              6.6929+-0.1817     ?      7.1008+-0.9555        ? might be 1.0609x slower
   try-catch-get-by-val-scoped-arguments              7.8922+-0.2499            7.6379+-0.2396          might be 1.0333x faster
   typed-array-get-set-by-val-profiling              32.8710+-0.6502     ?     34.1693+-2.0875        ? might be 1.0395x slower
   undefined-property-access                        345.8730+-5.0483          343.5166+-3.0118        
   undefined-test                                     3.1737+-0.1113     ?      3.2045+-0.1806        ?
   unprofiled-licm                                   23.0725+-0.6967           22.9987+-0.7461        
   varargs-call                                      15.9402+-1.7054           15.4289+-0.7248          might be 1.0331x faster
   varargs-construct-inline                          28.8119+-1.2746     ?     28.8876+-1.4511        ?
   varargs-construct                                 22.5822+-0.8611     ?     22.6681+-0.4186        ?
   varargs-inline                                     9.4407+-0.1156     ?      9.7305+-0.6258        ? might be 1.0307x slower
   varargs-strict-mode                               10.0551+-0.0840     ?     10.3384+-0.3775        ? might be 1.0282x slower
   varargs                                           10.3424+-0.5356     ?     10.5314+-1.1513        ? might be 1.0183x slower
   weird-inlining-const-prop                          3.5088+-0.3749     ?      3.5110+-0.1861        ?

   <geometric>                                        8.9682+-0.0308     ?      8.9732+-0.0233        ? might be 1.0006x slower

                                                        TipOfTree                 TinyPtrSet                                    
AsmBench:
   bigfib.cpp                                       498.6012+-2.0016     ?    502.2655+-8.9944        ?
   cray.c                                           428.2922+-1.6718     ?    430.4133+-8.7579        ?
   dry.c                                            487.8191+-7.4146          487.6808+-0.3369        
   FloatMM.c                                        721.1678+-2.2894          720.7960+-2.2501        
   gcc-loops.cpp                                   4236.7942+-365.3080       4096.3927+-8.4576          might be 1.0343x faster
   n-body.c                                         974.1358+-4.0840          972.1397+-3.1119        
   Quicksort.c                                      423.4521+-4.2217          418.1765+-7.4105          might be 1.0126x faster
   stepanov_container.cpp                          3598.1225+-25.8258    ?   3617.6165+-51.1902       ?
   Towers.c                                         256.1912+-1.7160     ?    256.3771+-1.6591        ?

   <geometric>                                      790.6351+-6.5441          788.1257+-2.4234          might be 1.0032x faster

                                                        TipOfTree                 TinyPtrSet                                    
CompressionBench:
   huffman                                          364.4367+-19.5987    ?    378.9141+-0.9070        ? might be 1.0397x slower
   arithmetic-simple                                367.4875+-2.1552     ?    368.6082+-2.4405        ?
   arithmetic-precise                               282.6110+-2.2479     ?    285.4447+-1.9486        ? might be 1.0100x slower
   arithmetic-complex-precise                       283.3549+-4.2915     ?    283.4703+-2.3068        ?
   arithmetic-precise-order-0                       378.3125+-4.8189     ?    379.2662+-6.3254        ?
   arithmetic-precise-order-1                       330.9698+-3.2994     ?    333.2535+-4.2668        ?
   arithmetic-precise-order-2                       366.5061+-3.7421          366.2938+-3.3808        
   arithmetic-simple-order-1                        432.5877+-4.7299          426.8851+-2.5227          might be 1.0134x faster
   arithmetic-simple-order-2                        470.5686+-3.0024     ?    471.2037+-5.0320        ?
   lz-string                                        316.7017+-2.6569     ?    318.4401+-6.8824        ?

   <geometric>                                      354.8864+-1.8841     ?    356.8649+-1.2719        ? might be 1.0056x slower

                                                        TipOfTree                 TinyPtrSet                                    
Geomean of preferred means:
   <scaled-result>                                   62.0686+-0.1277     ?     62.1736+-0.1863        ? might be 1.0017x slower
Comment 5 Geoffrey Garen 2015-06-08 09:02:33 PDT
Comment on attachment 254465 [details]
the patch

r=me if you fix the Windows build.
Comment 6 Filip Pizlo 2015-06-08 11:12:51 PDT
Created attachment 254501 [details]
patch for landing
Comment 7 WebKit Commit Bot 2015-06-08 11:15:17 PDT
Attachment 254501 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/dfg/DFGStructureAbstractValue.cpp:283:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:38:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:70:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:80:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 4 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Filip Pizlo 2015-06-08 11:59:11 PDT
Created attachment 254502 [details]
patch for landing
Comment 9 WebKit Commit Bot 2015-06-08 12:07:05 PDT
Attachment 254502 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/dfg/DFGStructureAbstractValue.cpp:283:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:38:  More than one command on the same line  [whitespace/newline] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:70:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
ERROR: Source/JavaScriptCore/bytecode/StructureSet.cpp:80:  Place brace on its own line for function definitions.  [whitespace/braces] [4]
Total errors found: 4 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Filip Pizlo 2015-06-08 12:42:39 PDT
Landed in http://trac.webkit.org/changeset/185324
Comment 11 Alexey Proskuryakov 2015-06-08 12:48:42 PDT
Build fix in r185325.